#
# Copyright (c) 2000-2007 Liferay, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

# Note that log4j.rootLogger MUST have a value, or else log.isDebugEnabled()
# swill always return true for every logger!
log4j.rootLogger=INFO
log4j.appender.A=org.apache.log4j.ConsoleAppender
log4j.appender.A.layout=org.apache.log4j.TTCCLayout
log4j.appender.A.layout.DateFormat=ABSOLUTE
log4j.appender.A.layout.TimeZone=EST
log4j.appender.A.layout.ThreadPrinting=false
log4j.appender.A.layout.CategoryPrefixing=false
log4j.appender.B=org.apache.log4j.ConsoleAppender
log4j.appender.B.layout=org.apache.log4j.PatternLayout
log4j.appender.B.layout.ConversionPattern=%d{ABSOLUTE} %-5p %C.%M(%L) - %m%n
#log4j.logger.org.apache.catalina.core=DEBUG,A
#log4j.logger.com.icesoft=DEBUG,A
log4j.logger.com.icesoft.faces.webapp.parser.Parser=DEBUG,A
# Note that debugging for MailEngine will cause a large amount of output
# in the console window if an attachment is present with the email.
#log4j.logger.com.liferay.util.mail.MailEngine=DEBUG,A
log4j.logger.com.sample.icefaces=DEBUG,A